.loader-svg[data-v-60289e2c] {
  display: inline-block;
  height: 12rem;
  width: 12rem;
}
.loader-svg.success path[data-v-60289e2c] {
  stroke: #22c55e;
}
.loader-svg.error path[data-v-60289e2c] {
  stroke: #ef4444;
}
.loader-svg path[data-v-60289e2c] {
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-width: 10;
  stroke: #3b82f6;
  fill: none;
}.base-button[data-v-c0f12f99] {
  appearance: none;
  background: none;
  outline: none;
  padding: 0;
  margin: 0;
  cursor: pointer;
  text-decoration: none;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  position: relative;
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  flex-shrink: 0;
  font-family: Inter;
  font-size: 1.2rem;
  font-style: normal;
  font-weight: 600;
  line-height: 1.4rem;
  letter-spacing: 0.02em;
  transition: all 0.15s ease;
  border-style: solid;
  border-radius: 1.2rem;
  box-shadow: none;
  --_color-btn-text: currentColor;
  --_color-btn-border: currentColor;
  --_color-btn-bg: transparent;
  --_color-btn-outline: transparent;
  --_color-btn-text-hover: var(--_color-btn-text);
  --_color-btn-border-hover: var(--_color-btn-border);
  --_color-btn-bg-hover: var(--_color-btn-bg);
  --_color-btn-text-active: var(--_color-btn-text);
  --_color-btn-border-active: var(--_color-btn-border);
  --_color-btn-bg-active: var(--_color-btn-bg);
  --_color-btn-text-disabled: var(--_color-btn-text);
  --_color-btn-border-disabled: var(--_color-btn-border);
  --_color-btn-bg-disabled: var(--_color-btn-bg);
  --_color-btn-text-loading: var(--_color-btn-text);
  --_color-btn-border-loading: var(--_color-btn-border);
  --_color-btn-bg-loading: var(--_color-btn-bg);
  --_color-btn-text-filled: var(--_color-btn-text);
  --_color-btn-border-filled: var(--_color-btn-border);
  --_color-btn-bg-filled: var(--_color-btn-bg);
  --_color-btn-outline-filled: var(--_color-btn-outline);
  --_color-btn-text-filled-hover: var(--_color-btn-text-filled);
  --_color-btn-border-filled-hover: var(--_color-btn-border-filled);
  --_color-btn-bg-filled-hover: var(--_color-btn-bg-filled);
  --_color-btn-text-filled-active: var(--_color-btn-text-filled);
  --_color-btn-border-filled-active: var(--_color-btn-border-filled);
  --_color-btn-bg-filled-active: var(--_color-btn-bg-filled);
  --_color-btn-text-filled-disabled: var(--_color-btn-text-filled);
  --_color-btn-border-filled-disabled: var(--_color-btn-border-filled);
  --_color-btn-bg-filled-disabled: var(--_color-btn-bg-filled);
  --_color-btn-text-filled-loading: var(--_color-btn-text-filled);
  --_color-btn-border-filled-loading: var(--_color-btn-border-filled);
  --_color-btn-bg-filled-loading: var(--_color-btn-bg-filled);
  --_color-btn-backdrop-filled-disabled: none;
  --_color-btn-backdrop-filled-loading: none;
  --_color-btn-muted-bg: transparent;
  --_color-btn-muted-bg-hover: var(--_color-btn-muted-bg);
  --_color-btn-muted-bg-active: var(--_color-btn-muted-bg);
  --_color-btn-muted-bg-disabled: var(--_color-btn-muted-bg);
  --_color-btn-muted-text: var(--_color-btn-text);
  --_color-btn-muted-text-disabled: var(--_color-btn-text-disabled);
  --_color-btn-muted-border: transparent;
  --_color-btn-muted-backdrop: none;
  --_color-btn-loader: currentColor;
  --_color-btn-loader-success: $color-green;
  --_color-btn-loader-error: $color-red;
  color: var(--_color-btn-text);
  border-color: var(--_color-btn-border);
  background-color: var(--_color-btn-bg);
}
.base-button[data-v-c0f12f99]:active:not(:disabled):not(.base-button--disabled) {
  transform: scale(0.97);
}
.base-button .base-button__icon-wrapper[data-v-c0f12f99] {
  position: relative;
  width: 1.4rem;
  height: 1.4rem;
}
.base-button .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 0.8rem;
}
.base-button .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 0.8rem;
}
.base-button .base-button__icon-wrapper[data-v-c0f12f99] .prepend-icon,
.base-button .base-button__icon-wrapper[data-v-c0f12f99] .append-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.15s ease;
}
.base-button .base-button__icon-wrapper .prepend-hover-icon[data-v-c0f12f99],
.base-button .base-button__icon-wrapper .append-hover-icon[data-v-c0f12f99] {
  display: none;
}
.base-button:hover.base-button--has-prepend-hover-icon .base-button__icon-wrapper .prepend-icon[data-v-c0f12f99] {
  display: none;
}
.base-button:hover.base-button--has-prepend-hover-icon .base-button__icon-wrapper .prepend-hover-icon[data-v-c0f12f99] {
  display: block;
}
.base-button:hover.base-button--has-append-hover-icon .base-button__icon-wrapper .append-icon[data-v-c0f12f99] {
  display: none;
}
.base-button:hover.base-button--has-append-hover-icon .base-button__icon-wrapper .append-hover-icon[data-v-c0f12f99] {
  display: block;
}
.base-button--loading[data-v-c0f12f99] {
  cursor: wait;
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] {
  height: 100%;
  width: 100%;
  position: absolute;
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] .loader-svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: scale(0.15) translate(-730%, -50%);
  transform-origin: 100% 0 0;
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] .loader-svg.success path {
  stroke: var(--_color-btn-loader-success);
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] .loader-svg.error path {
  stroke: var(--_color-btn-loader-error);
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] .loader-svg path {
  stroke: var(--_color-btn-loader);
}
.base-button .base-button--loading-spinner[data-v-c0f12f99] .loader-svg circle {
  stroke: transparent !important;
}
.base-button--is-uppercase[data-v-c0f12f99] {
  text-transform: uppercase;
  letter-spacing: 0.12rem;
}
.base-button--is-full-width[data-v-c0f12f99] {
  width: 100%;
}
.base-button--is-content-center[data-v-c0f12f99] {
  text-align: center;
  justify-content: center;
}
.base-button[data-v-c0f12f99]:not(.base-button--bordered) {
  border: none !important;
}
.base-button.base-button--rounded[data-v-c0f12f99] {
  border-radius: 100rem;
}
.base-button.base-button--not-rounded[data-v-c0f12f99] {
  border-radius: 0.6rem;
}
.base-button.base-button--not-rounded.base-button--is-icon-only.base-button--small[data-v-c0f12f99], .base-button.base-button--not-rounded.base-button--is-icon-only.base-button--medium[data-v-c0f12f99], .base-button.base-button--not-rounded.base-button--is-icon-only.base-button--large[data-v-c0f12f99] {
  border-radius: 0.6rem;
}
.base-button.base-button--extra-small[data-v-c0f12f99] {
  height: 1.4rem;
  padding: 0;
}
.base-button.base-button--extra-small .base-button__icon-wrapper[data-v-c0f12f99] {
  width: 1.2rem;
  height: 1.4rem;
}
.base-button.base-button--extra-small .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 0.8rem;
}
.base-button.base-button--extra-small .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 0.8rem;
}
.base-button.base-button--extra-small .base-button--loading-spinner .loader-svg[data-v-c0f12f99] {
  transform: scale(0.2) translate(-490%, -50%);
}
.base-button--small[data-v-c0f12f99] {
  height: 2.4rem;
  padding: 0 0.8rem;
}
.base-button--small .base-button__icon-wrapper[data-v-c0f12f99] {
  width: 1.2rem;
  height: 1.4rem;
}
.base-button--small .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 0.8rem;
}
.base-button--small .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 0.8rem;
}
.base-button--small .base-button--loading-spinner .loader-svg[data-v-c0f12f99] {
  transform: scale(0.2) translate(-490%, -50%);
}
.base-button--medium[data-v-c0f12f99] {
  height: 3.6rem;
  padding: 0 1.6rem;
}
.base-button--medium .base-button__icon-wrapper[data-v-c0f12f99] {
  width: 1.6rem;
  height: 1.4rem;
}
.base-button--medium .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 1.6rem;
}
.base-button--medium .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 1.6rem;
}
.base-button--large[data-v-c0f12f99] {
  height: 4.8rem;
  padding: 0 2.4rem;
  font-size: 1.4rem;
  line-height: 1.8rem;
  letter-spacing: 0.14rem;
}
.base-button--large .base-button__icon-wrapper[data-v-c0f12f99] {
  width: 2.4rem;
  height: 1.4rem;
}
.base-button--large .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 2.4rem;
}
.base-button--large .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 2.4rem;
}
.base-button.base-button--is-icon-only.base-button--extra-small[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--small[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--medium[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--large[data-v-c0f12f99] {
  border-radius: 50%;
}
.base-button.base-button--is-icon-only.base-button--extra-small .base-button__icon-wrapper.prepend[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--small .base-button__icon-wrapper.prepend[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--medium .base-button__icon-wrapper.prepend[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--large .base-button__icon-wrapper.prepend[data-v-c0f12f99] {
  margin-right: 0;
}
.base-button.base-button--is-icon-only.base-button--extra-small .base-button__icon-wrapper.append[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--small .base-button__icon-wrapper.append[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--medium .base-button__icon-wrapper.append[data-v-c0f12f99], .base-button.base-button--is-icon-only.base-button--large .base-button__icon-wrapper.append[data-v-c0f12f99] {
  margin-left: 0;
}
.base-button.base-button--is-icon-only.base-button--small[data-v-c0f12f99] {
  width: 2.4rem;
}
.base-button.base-button--is-icon-only.base-button--medium[data-v-c0f12f99] {
  width: 3.6rem;
}
.base-button.base-button--is-icon-only.base-button--large[data-v-c0f12f99] {
  width: 4.8rem;
}
.base-button[data-v-c0f12f99] {
  border-width: 0.2rem;
}
.base-button--filled[data-v-c0f12f99] {
  border-width: 0;
}
.base-button.base-button--disabled[data-v-c0f12f99] {
  cursor: not-allowed;
}
.base-button.base-button--disabled.base-button--loading[data-v-c0f12f99] {
  cursor: wait;
}
.base-button[data-v-c0f12f99]:focus-visible {
  outline-offset: 0.1rem;
  outline: 2px solid var(--_color-btn-outline);
}
.base-button[data-v-c0f12f99]:hover:not(:disabled) {
  color: var(--_color-btn-text-hover);
  border-color: var(--_color-btn-border-hover);
  background-color: var(--_color-btn-bg-hover);
}
.base-button[data-v-c0f12f99]:active:not(:disabled) {
  color: var(--_color-btn-text-active);
  border-color: var(--_color-btn-border-active);
  background-color: var(--_color-btn-bg-active);
}
.base-button[data-v-c0f12f99]:disabled {
  color: var(--_color-btn-text-disabled);
  border-color: var(--_color-btn-border-disabled);
  background-color: var(--_color-btn-bg-disabled);
}
.base-button.base-button--loading[data-v-c0f12f99] {
  color: var(--_color-btn-text-loading);
  border-color: var(--_color-btn-border-loading);
  background-color: var(--_color-btn-bg-loading);
}
.base-button.base-button--filled[data-v-c0f12f99] {
  color: var(--_color-btn-text-filled);
  border-color: var(--_color-btn-border-filled);
  background-color: var(--_color-btn-bg-filled);
}
.base-button.base-button--filled[data-v-c0f12f99]:focus-visible {
  outline-offset: 0.1rem;
  outline: 2px solid var(--_color-btn-outline-filled);
}
.base-button.base-button--filled[data-v-c0f12f99]:hover:not(:disabled) {
  color: var(--_color-btn-text-filled-hover);
  border-color: var(--_color-btn-border-filled-hover);
  background-color: var(--_color-btn-bg-filled-hover);
}
.base-button.base-button--filled[data-v-c0f12f99]:active:not(:disabled) {
  color: var(--_color-btn-text-filled-active);
  border-color: var(--_color-btn-border-filled-active);
  background-color: var(--_color-btn-bg-filled-active);
}
.base-button.base-button--filled[data-v-c0f12f99]:disabled {
  color: var(--_color-btn-text-filled-disabled);
  border-color: var(--_color-btn-border-filled-disabled);
  background-color: var(--_color-btn-bg-filled-disabled);
  backdrop-filter: var(--_color-btn-backdrop-filled-disabled);
}
.base-button.base-button--filled.base-button--loading[data-v-c0f12f99] {
  color: var(--_color-btn-text-filled-loading);
  border-color: var(--_color-btn-border-filled-loading);
  background-color: var(--_color-btn-bg-filled-loading);
  backdrop-filter: var(--_color-btn-backdrop-filled-loading);
}
.base-button.base-button--muted[data-v-c0f12f99] {
  background-color: var(--_color-btn-muted-bg);
  color: var(--_color-btn-muted-text);
  border-color: var(--_color-btn-muted-border);
  backdrop-filter: var(--_color-btn-muted-backdrop);
}
.base-button.base-button--muted[data-v-c0f12f99]:hover:not(:disabled) {
  background-color: var(--_color-btn-muted-bg-hover);
  color: var(--_color-btn-muted-text);
}
.base-button.base-button--muted[data-v-c0f12f99]:active:not(:disabled) {
  background-color: var(--_color-btn-muted-bg-active);
  color: var(--_color-btn-muted-text);
}
.base-button.base-button--muted[data-v-c0f12f99]:disabled {
  color: var(--_color-btn-muted-text-disabled);
  background-color: var(--_color-btn-muted-bg-disabled);
}
.base-button.base-button--blue[data-v-c0f12f99] {
  --_color-btn-text: var(--blue-dark-100);
  --_color-btn-border: var(--blue-dark-100);
  --_color-btn-outline: var(--blue-dark-15);
  --_color-btn-text-hover: var(--blue-dark-80);
  --_color-btn-border-hover: var(--blue-dark-80);
  --_color-btn-text-active: var(--blue-dark-50);
  --_color-btn-border-active: var(--blue-dark-50);
  --_color-btn-text-disabled: var(--blue-light-15);
  --_color-btn-border-disabled: var(--blue-light-15);
  --_color-btn-text-loading: var(--blue-light-15);
  --_color-btn-border-loading: var(--blue-light-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--gray-static-100);
  --_color-btn-bg-filled: var(--blue-light-100);
  --_color-btn-outline-filled: var(--blue-light-15);
  --_color-btn-bg-filled-hover: var(--blue-light-80);
  --_color-btn-bg-filled-active: var(--blue-light-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--red[data-v-c0f12f99] {
  --_color-btn-text: var(--red-dark-100);
  --_color-btn-border: var(--red-dark-100);
  --_color-btn-outline: var(--red-dark-15);
  --_color-btn-text-hover: var(--red-dark-80);
  --_color-btn-border-hover: var(--red-dark-80);
  --_color-btn-text-active: var(--red-dark-50);
  --_color-btn-border-active: var(--red-dark-50);
  --_color-btn-text-disabled: var(--red-light-15);
  --_color-btn-border-disabled: var(--red-light-15);
  --_color-btn-text-loading: var(--red-light-15);
  --_color-btn-border-loading: var(--red-light-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--gray-static-100);
  --_color-btn-bg-filled: var(--red-light-100);
  --_color-btn-outline-filled: var(--red-light-15);
  --_color-btn-bg-filled-hover: var(--red-light-80);
  --_color-btn-bg-filled-active: var(--red-light-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--green[data-v-c0f12f99] {
  --_color-btn-text: var(--green-dark-100);
  --_color-btn-border: var(--green-dark-100);
  --_color-btn-outline: var(--green-dark-15);
  --_color-btn-text-hover: var(--green-dark-80);
  --_color-btn-border-hover: var(--green-dark-80);
  --_color-btn-text-active: var(--green-dark-50);
  --_color-btn-border-active: var(--green-dark-50);
  --_color-btn-text-disabled: var(--green-light-15);
  --_color-btn-border-disabled: var(--green-light-15);
  --_color-btn-text-loading: var(--green-light-15);
  --_color-btn-border-loading: var(--green-light-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--gray-static-100);
  --_color-btn-bg-filled: var(--green-light-100);
  --_color-btn-outline-filled: var(--green-light-15);
  --_color-btn-bg-filled-hover: var(--green-light-80);
  --_color-btn-bg-filled-active: var(--green-light-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--purple[data-v-c0f12f99] {
  --_color-btn-text: var(--purple-100);
  --_color-btn-border: var(--purple-100);
  --_color-btn-outline: var(--purple-15);
  --_color-btn-text-hover: var(--purple-80);
  --_color-btn-border-hover: var(--purple-80);
  --_color-btn-text-active: var(--purple-50);
  --_color-btn-border-active: var(--purple-50);
  --_color-btn-text-disabled: var(--purple-15);
  --_color-btn-border-disabled: var(--purple-15);
  --_color-btn-text-loading: var(--purple-15);
  --_color-btn-border-loading: var(--purple-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--white-static-100);
  --_color-btn-bg-filled: var(--purple-100);
  --_color-btn-outline-filled: var(--purple-15);
  --_color-btn-bg-filled-hover: var(--purple-80);
  --_color-btn-bg-filled-active: var(--purple-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--black[data-v-c0f12f99] {
  --_color-btn-text: var(--black-100, #000);
  --_color-btn-border: var(--black-100, #000);
  --_color-btn-outline: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-text-hover: var(--black-80, rgba(0, 0, 0, 0.8));
  --_color-btn-border-hover: var(--black-80, rgba(0, 0, 0, 0.8));
  --_color-btn-text-active: var(--black-50, rgba(0, 0, 0, 0.5));
  --_color-btn-border-active: var(--black-50, rgba(0, 0, 0, 0.5));
  --_color-btn-text-disabled: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-border-disabled: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-text-loading: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-border-loading: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-muted-bg: rgba(0, 0, 0, 0.1);
  --_color-btn-muted-bg-hover: rgba(0, 0, 0, 0.15);
  --_color-btn-muted-bg-active: rgba(0, 0, 0, 0.2);
  --_color-btn-muted-bg-disabled: rgba(0, 0, 0, 0.05);
  --_color-btn-muted-text: var(--black-100, #000);
  --_color-btn-muted-text-disabled: rgba(0, 0, 0, 0.3);
  --_color-btn-muted-border: transparent;
  --_color-btn-muted-backdrop: blur(5px);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--white-100, #fff);
  --_color-btn-bg-filled: var(--black-100, #000);
  --_color-btn-outline-filled: var(--black-15, rgba(0, 0, 0, 0.15));
  --_color-btn-bg-filled-hover: var(--black-80, rgba(0, 0, 0, 0.8));
  --_color-btn-bg-filled-active: var(--black-50, rgba(0, 0, 0, 0.5));
  --_color-btn-text-filled-disabled: rgba(0, 0, 0, 0.2);
  --_color-btn-bg-filled-disabled: rgba(0, 0, 0, 0.1);
  --_color-btn-text-filled-loading: var(--gray-static-15, rgba(114, 121, 136, 0.15));
  --_color-btn-bg-filled-loading: var(--gray-15, rgba(114, 121, 136, 0.15));
  --_color-btn-backdrop-filled-disabled: blur(5px);
  --_color-btn-backdrop-filled-loading: none;
}
.base-button.base-button--gray[data-v-c0f12f99] {
  --_color-btn-text: var(--gray-100);
  --_color-btn-border: var(--gray-100);
  --_color-btn-outline: var(--gray-15);
  --_color-btn-text-hover: var(--gray-80);
  --_color-btn-border-hover: var(--gray-80);
  --_color-btn-text-active: var(--gray-50);
  --_color-btn-border-active: var(--gray-50);
  --_color-btn-text-disabled: var(--gray-15);
  --_color-btn-border-disabled: var(--gray-15);
  --_color-btn-text-loading: var(--gray-15);
  --_color-btn-border-loading: var(--gray-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--white-100);
  --_color-btn-bg-filled: var(--gray-100);
  --_color-btn-outline-filled: var(--gray-15);
  --_color-btn-bg-filled-hover: var(--gray-80);
  --_color-btn-bg-filled-active: var(--gray-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--gray50[data-v-c0f12f99] {
  --_color-btn-text: var(--gray-50);
  --_color-btn-border: var(--gray-50);
  --_color-btn-outline: var(--gray-15);
  --_color-btn-text-hover: var(--gray-80);
  --_color-btn-border-hover: var(--gray-80);
  --_color-btn-text-active: var(--gray-50);
  --_color-btn-border-active: var(--gray-50);
  --_color-btn-text-disabled: var(--gray-15);
  --_color-btn-border-disabled: var(--gray-15);
  --_color-btn-text-loading: var(--gray-15);
  --_color-btn-border-loading: var(--gray-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--white-100);
  --_color-btn-bg-filled: var(--gray-50);
  --_color-btn-outline-filled: var(--gray-15);
  --_color-btn-bg-filled-hover: var(--gray-80);
  --_color-btn-bg-filled-active: var(--gray-50);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: var(--gray-15);
  --_color-btn-text-filled-disabled: var(--gray-static-100);
  --_color-btn-bg-filled-disabled: var(--gray-15);
}
.base-button.base-button--white[data-v-c0f12f99] {
  --_color-btn-text: var(--white-100);
  --_color-btn-border: var(--white-100);
  --_color-btn-outline: var(--white-15);
  --_color-btn-text-hover: var(--white-80);
  --_color-btn-border-hover: var(--white-80);
  --_color-btn-text-active: var(--white-50);
  --_color-btn-border-active: var(--white-50);
  --_color-btn-text-disabled: var(--white-15);
  --_color-btn-border-disabled: var(--white-15);
  --_color-btn-text-loading: var(--white-15);
  --_color-btn-border-loading: var(--white-15);
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--gray-100);
  --_color-btn-bg-filled: var(--white-100);
  --_color-btn-outline-filled: var(--white-15);
  --_color-btn-bg-filled-hover: var(--white-80);
  --_color-btn-bg-filled-active: var(--white-50);
  --_color-btn-text-filled-loading: var(--white-static-15);
  --_color-btn-bg-filled-loading: var(--white-15);
  --_color-btn-text-filled-disabled: var(--white-static-100);
  --_color-btn-bg-filled-disabled: var(--white-15);
}
.base-button.base-button--transparent[data-v-c0f12f99] {
  --_color-btn-text: var(--gray-100);
  --_color-btn-border: transparent;
  --_color-btn-outline: currentColor;
  --_color-btn-text-hover: var(--gray-80);
  --_color-btn-border-hover: var(--gray-80);
  --_color-btn-text-active: var(--gray-50);
  --_color-btn-border-active: var(--gray-50);
  --_color-btn-text-disabled: var(--gray-15);
  --_color-btn-border-disabled: var(--gray-15);
  --_color-btn-text-loading: var(--gray-15);
  --_color-btn-border-loading: transparent;
  --_color-btn-border-filled: transparent;
  --_color-btn-border-filled-hover: transparent;
  --_color-btn-border-filled-active: transparent;
  --_color-btn-border-filled-disabled: transparent;
  --_color-btn-border-filled-loading: transparent;
  --_color-btn-text-filled: var(--gray-100);
  --_color-btn-bg-filled: transparent;
  --_color-btn-outline-filled: var(--gray-15);
  --_color-btn-bg-filled-hover: var(--gray-5);
  --_color-btn-bg-filled-active: var(--gray-15);
  --_color-btn-text-filled-loading: var(--gray-static-15);
  --_color-btn-bg-filled-loading: transparent;
  --_color-btn-text-filled-disabled: var(--gray-5);
  --_color-btn-bg-filled-disabled: transparent;
}
@media (prefers-reduced-motion: reduce) {
.base-button[data-v-c0f12f99]:active {
    transform: none;
}
}